Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.plugins.ginsim
Class GinSimReader.GinSimHandler

    java.lang.Object
      org.xml.sax.helpers.DefaultHandler
          biouml.plugins.gxl.GxlReader.GxlHandler
              biouml.plugins.ginsim.GinSimReader.GinSimHandler

All Implemented Interfaces:
  org.xml.sax.ContentHandler, org.xml.sax.DTDHandler, org.xml.sax.EntityResolver, org.xml.sax.ErrorHandler, GinSimConstants, GxlConstants

Enclosing class:
  GinSimReader

protected class GinSimReader.GinSimHandler
extends GxlReader.GxlHandler
implements GinSimConstants

Define its descendants to have extended behavior in classes derivated from GinSimReader

Field Summary

Fields inherited from class biouml.plugins.gxl.GxlReader.GxlHandler
`context`

Fields inherited from interface biouml.plugins.ginsim.GinSimConstants
`BACKGROUND_COLOR_ATTR, EDGE_VIS_SET_ELEM, ELLIPSE_ELEM, FOREGROUND_COLOR_ATTR, HEIGHT_ATTR, LINE_COLOR_ATTR, LINE_STYLE_ATTR, NODE_VIS_SET_ELEM, POINT_ELEM, POINTS_ATTR, POLY_ELEM, RECT_ELEM, ROUTAGE_ATTR, WIDTH_ATTR, X_ATTR, Y_ATTR`

Fields inherited from interface biouml.plugins.gxl.GxlConstants
`ATTR_ELEM, BAG_ELEM, BOOL_ELEM, EDGE_ELEM, ENUM_ELEM, FLOAT_ELEM, FROM_ATTR, GRAPH_ELEM, GXL_ELEM, ID_ATTR, INT_ELEM, LOCATOR_ELEM, NODE_ELEM, RELATION_ELEM, RELEND_ELEM, SEQ_ELEM, SET_ELEM, STRING_ELEM, TARGET_ATTR, TO_ATTR, TUP_ELEM, TYPE_ELEM`

Constructor Summary
`GinSimReader.GinSimHandler()`

Method Summary
`protected java.awt.Polygon` | `parsePath(java.lang.String points)`
`protected void` | `readEdgeVisualSetting(org.xml.sax.Attributes attrs)`
`protected void` | `readEllipse(org.xml.sax.Attributes attrs)`
`protected void` | `readGraphAttrExtension(org.xml.sax.Attributes attrs)`
`protected void` | `readNodeVisualSetting(org.xml.sax.Attributes attrs)`
`protected void` | `readPoint(org.xml.sax.Attributes attrs)`
`protected void` | `readPolyline(org.xml.sax.Attributes attrs)`
`protected void` | `readRect(org.xml.sax.Attributes attrs)`
`void` | `startElement(java.lang.String namespaceURI, java.lang.String localName, java.lang.String qualifiedName, org.xml.sax.Attributes attrs)`

Methods inherited from class biouml.plugins.gxl.GxlReader.GxlHandler
`endElement, isValue, isValueExtension, leaveAttribute, leaveEdge, leaveGraph, leaveGxl, leaveNode, leaveRelation, leaveRelEnd, leaveType, leaveValue, processEdgeExtension, processGraphExtension, processNodeExtension, readAttribute, readEdge, readGraph, readGxl, readNode, readRelation, readRelEnd, readType, readValue, startDocument`

Methods inherited from class org.xml.sax.helpers.DefaultHandler
`characters, endDocument, endElement, endPrefixMapping, error, fatalError, ignorableWhitespace, notationDecl, processingInstruction, resolveEntity, setDocumentLocator, skippedEntity, startPrefixMapping, unparsedEntityDecl, warning`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GinSimReader.GinSimHandler

    public GinSimReader.GinSimHandler()

Method Detail

### startElement

    public void startElement(java.lang.String namespaceURI,
                             java.lang.String localName,
                             java.lang.String qualifiedName,
                             org.xml.sax.Attributes attrs)
                      throws org.xml.sax.SAXException

  Specified by:
    `startElement` in interface `org.xml.sax.ContentHandler`
  Overrides:
    `startElement` in class `GxlReader.GxlHandler`
  Throws:
    `org.xml.sax.SAXException`

### readNodeVisualSetting

    protected void readNodeVisualSetting(org.xml.sax.Attributes attrs)

### readEdgeVisualSetting

    protected void readEdgeVisualSetting(org.xml.sax.Attributes attrs)

### readPoint

    protected void readPoint(org.xml.sax.Attributes attrs)

### readRect

    protected void readRect(org.xml.sax.Attributes attrs)

### readGraphAttrExtension

    protected void readGraphAttrExtension(org.xml.sax.Attributes attrs)

### readPolyline

    protected void readPolyline(org.xml.sax.Attributes attrs)

### readEllipse

    protected void readEllipse(org.xml.sax.Attributes attrs)

### parsePath

    protected java.awt.Polygon parsePath(java.lang.String points)

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.